Legacy - версия AdGuard для старых устройств ?

Karamzin

Member
В нынешнее время похоже считается дурным тоном поддерживать старые устройства, но тем не менее многие разработчики ведут отдельные "Legacy" ветки своих программ/прошивок производя мелкие фиксы в рамках возможностей тех версий и поддерживая тем самым продукт на плаву. Можно ли рассчитывать на появление подобной ветки у AdGuard'a ? Или у AdGuard'a движение только "вперёд" как у локомотива, с отказом от всего "старого" ?

Банальный пример. На 2.12.215, последней, доступной для 4.2.2 через пень-колоду работает прокси-фильтрация и AdGuard постоянно на ней валится, а через локальный VPN всё работает более-менее стабильно (без шероховатостей тоже не обошлось, но о них пока не буду говорить), но из-за локального VPN'a не проходят коннекты к ftp-серверам через ftp-клиенты. Плюс до кучи включение/выключение вафли вызывает нехилый лаг из-за рестарта локального VPN'a. И что делать в такой ситуации ? Обновлять гаджет из-за таких мелочей я смысла не вижу. Но лишнего геммороя они добавляют определённо ...
 

Karamzin

Member

Добрый день!
В данный момент вектор разработки направлен на совершенствование продуктов AdGuard for Android и AdGuard VPN.
В скором времени мы планируем выпустить версию 4.0. с обновленным функционалом и новым дизайном.
Поэтому заниматься поддержкой Legacy приложений для старых версий Android не является целесообразным.
Эх :(
 
Top